# Attrap_bot

Un robot de veille des Recueils des actes administratifs (RAA) qui utilise les données en ligne de [Attrap](https://attrap.fr).

## Installation

Il est recommandé d'utiliser virtualenv :

```bash
virtualenv --python=/usr/bin/python3 .
source bin/activate
pip3 install -r requirements.txt
```

## Configuration

Vous pouvez configurer le robot avec un fichier de configuration ou avec des variables d'environnement.

### Fichier de configuration

Le fichier `config.default.yml` contient les paramètres par défaut, notamment la source des données. Copiez-le vers `config.yml` et adaptez le fichier pour surcharger les paramètres par défaut.

Les requêtes sont spécifiées dans la section `queries`, les paramètres pour envoyer les résultats par email dans `smtp` et ceux pour envoyer les résultats sur Mastodon dans `mastodon`. Exemple :

```yaml
queries:
  - id: vsa-paris
    search: "\"traitement algorithmique\" AND 2023-380"
    administration: "ppparis,pref75"
    email:
      from: "attrap@example.org"
      to: "vsa@example.org"
      smtp: example_smtp
  - id: vsa
    search: "\"traitement algorithmique\" AND 2023-380"
    administration:
    mastodon:
      prefix: "[{administration_name}]"
      suffix: "#{id} #{administration}"
      instance: mastodon_social

smtp:
  - id: example_smtp
    hostname: "smtp.example.org"
    port: 587
    username: "attrap@example.org"
    password: "secr3t"
    ssl: False
    starttls: True

mastodon:
  - id: mastodon_social
    instance: "mastodon.social"
    access_token: "a-secret-access-token-here"
```

### Variables d'environnement

TODO

## Développement

Pour modifier le niveau de verbosité des logs, vous pouvez configurer la variable `LOG_LEVEL` à `DEBUG`, `INFO`, `WARNING` (par défaut) ou `ERROR`.

## Licence

[CeCILL_V2.1-fr](https://cecill.info/licences/Licence_CeCILL_V2.1-fr.html) (voir le fichier `LICENSE`)
